Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::AmbientLight Class Reference

アンビエントライト More...

`#include <AmbientLight.h>`

Inheritance diagram for Lamp::AmbientLight:

List of all members.

## Public Member Functions
virtual SceneLeaf * | copy (u_int copyMask=0) const
| コピー
virtual Light * | copyLight () const
| コピー
virtual AmbientLight * | copyAmbientLight () const
| アンビエントライトのコピー
virtual void | setColor (const Color3f &color)
| ライト色の設定
virtual Color3f | getColor () const
| ライト色の取得
virtual bool | isAmbientLight () const
| アンビエントライトかどうか
## Protected Member Functions
| AmbientLight (const String &name, Scene *scene)
| コンストラクタ
virtual | ~AmbientLight ()
| デストラクタ
## Friends
class | LightManager

## Detailed Description

アンビエントライト

Definition at line 36 of file AmbientLight.h.

## Constructor & Destructor Documentation

Lamp::AmbientLight::AmbientLight | ( | const String & | name,
|  | Scene * | scene
| ) | `[protected]`

  | コンストラクタ Parameters:
  name | 名前
  scene | シーン
Definition at line 34 of file AmbientLight.cpp.

## Member Function Documentation

virtual SceneLeaf* Lamp::AmbientLight::copy | ( | u_int | copyMask = 0 | ) | const`[inline, virtual]`

  | コピー Parameters:
  copyMask | コピーマスク
Returns: コピーされたシーンリーフ Implements Lamp::SceneLeaf. Definition at line 45 of file AmbientLight.h. References copyAmbientLight().

AmbientLight * Lamp::AmbientLight::copyAmbientLight | ( |  | ) | const`[virtual]`

| アンビエントライトのコピー Returns: コピーされたモデル Definition at line 43 of file AmbientLight.cpp. References copyLight(), Lamp::Light::copyLightValue(), Lamp::LightManager::createAmbientLight(), Lamp::Scene::getLightManager(), Lamp::SceneObject::name_, Lamp::SceneObjectManagerTemplate< Light >::rename(), Lamp::SceneObject::scene_, and setColor(). Referenced by copy(), and copyLight().

virtual Light* Lamp::AmbientLight::copyLight | ( |  | ) | const`[inline, virtual]`

| コピー Returns: コピーされたライト Implements Lamp::Light. Definition at line 53 of file AmbientLight.h. References copyAmbientLight(). Referenced by copyAmbientLight().

virtual Color3f Lamp::AmbientLight::getColor | ( |  | ) | const`[inline, virtual]`

| ライト色の取得 Returns: ライト色 Implements Lamp::Light. Definition at line 72 of file AmbientLight.h. Referenced by Lamp::DrawRequest::getAmbientColor(), Lamp::TextSceneSaver::writeAmbientLight(), and Lamp::BinarySceneSaver::writeAmbientLight().

virtual bool Lamp::AmbientLight::isAmbientLight | ( |  | ) | const`[inline, virtual]`

| アンビエントライトかどうか Returns: アンビエントライトならtrue Reimplemented from Lamp::Light. Definition at line 79 of file AmbientLight.h. Referenced by Lamp::DrawRequest::addAmbientLight().

virtual void Lamp::AmbientLight::setColor | ( | const Color3f & | color | ) | `[inline, virtual]`

  | ライト色の設定 Parameters:
  color | ライト色
Implements Lamp::Light. Definition at line 66 of file AmbientLight.h. Referenced by copyAmbientLight(), Lamp::TextSceneLoader::readAmbientLight(), and Lamp::BinarySceneLoader::readAmbientLight().

The documentation for this class was generated from the following files:

- AmbientLight.h
- AmbientLight.cpp